---
 Makefile         |    2 ++
 ipkg-list-fields |   13 +++++++++++++
 ipkg.py          |    8 +++++++-
 3 files changed, 22 insertions(+), 1 deletion(-)

Index: ipkg-utils/Makefile
===================================================================
--- ipkg-utils.orig/Makefile	2007-06-13 22:45:47.000000000 +0100
+++ ipkg-utils/Makefile	2007-06-13 22:46:50.000000000 +0100
@@ -15,6 +15,8 @@ install: ${UTILS}
 	python setup.py install
 	chmod agu+rx ipkg-make-index
 	cp -f ipkg-make-index $(PREFIX)/bin
+	chmod agu+rx ipkg-list-fields
+	cp -f ipkg-list-fields $(PREFIX)/bin
 
 binary: build
 	mkdir -p ipkg-build-binary/usr/bin
Index: ipkg-utils/ipkg-list-fields
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ ipkg-utils/ipkg-list-fields	2007-06-13 22:43:32.000000000 +0100
@@ -0,0 +1,13 @@
+#!/usr/bin/python
+
+import sys, ipkg
+
+def usage():
+     sys.stderr.write("%s ipk\n" % (sys.argv[0],))
+     sys.exit(-1)
+
+if (len(sys.argv) < 2):
+     usage()
+
+print ipkg.Package(sys.argv[1])
+
Index: ipkg-utils/ipkg.py
===================================================================
--- ipkg-utils.orig/ipkg.py	2007-06-13 22:44:50.000000000 +0100
+++ ipkg-utils/ipkg.py	2007-06-13 22:39:44.000000000 +0100
@@ -139,6 +139,9 @@ class Package:
         self.installed_size = None
         self.filename = None
         self.isdeb = 0
+        self.homepage = None
+        self.oe = None
+        self.priority = None
         self.fn = fn
 
 	if fn:
@@ -211,7 +214,7 @@ class Package:
                 elif self.__dict__.has_key(name):
                     self.__dict__[name] = value
 		else:
-		    #print "Lost field %s, %s" % (name,value)
+		    print "Lost field %s, %s" % (name,value)
                     pass
 
                 if line and line[0] == '\n':
@@ -402,6 +405,9 @@ class Package:
         if self.filename: out = out + "Filename: %s\n" % (self.filename)
         if self.source: out = out + "Source: %s\n" % (self.source)
         if self.description: out = out + "Description: %s\n" % (self.description)
+        if self.oe: out = out + "OE: %s\n" % (self.oe)
+        if self.homepage: out = out + "HomePage: %s\n" % (self.homepage)
+        if self.priority: out = out + "Priority: %s\n" % (self.priority)
 	out = out + "\n"
 
 	return out
